<?php // Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');
if ( post_password_required() ) { ?>
	<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
<?php
	return;
}

// add a microid to all the comments
function comment_add_microid($classes) {
	$c_email=get_comment_author_email();
	$c_url=get_comment_author_url();
	if (!empty($c_email) && !empty($c_url)) {
		$microid = 'microid-mailto+http:sha1:' . sha1(sha1('mailto:'.$c_email).sha1($c_url));
		$classes[] = $microid;
	}
	return $classes;	
}
add_filter('comment_class','comment_add_microid');
// show the comments

?>

<?php $comment_type = get_comment_type(); ?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : if (!empty($comments_by_type['comment'])) : ?>

		<div class="responses_head">
			<h3>Comments:</h3>
		</div>
		
	<?php if ((int) get_option('page_comments') === 1 && get_comments_number() > get_option('comments_per_page')): ?>
	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link('Older Comments') ?></div>
		<div class="alignright"><?php next_comments_link('Newer Comments') ?></div>
	</div>
	<?php endif; ?>

<ol class="commentlist">

<?php wp_list_comments('type=comment&callback=whispy_blue_comments'); ?>

</ol>

	<?php endif;

	if ( ! empty($comments_by_type['pings']) ) : ?>

		<div class="responses_head">
			<h3>Trackbacks/Pingbacks:</h3>
		</div>

		<ol class="tblist">
			<?php wp_list_comments('type=pings&callback=whispy_blue_tb'); ?>
		</ol>
	<?php endif; ?>

	<?php if ((int) get_option('page_comments') === 1 && get_comments_number() > get_option('comments_per_page')): ?>
	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link('Older Comments') ?></div>
		<div class="alignright"><?php next_comments_link('Newer Comments') ?></div>
	</div>
	<?php endif; ?>

 <?php else : // this is displayed if there are no comments so far ?>

 <?php endif; ?>

<?php if ( comments_open() ) : // show the form if open ?>

<?php $new_commentform = array('comment_field'=>'<textarea id="comment" name="comment" cols="45" rows="8"></textarea>');
comment_form($new_commentform); ?>

<?php endif; ?>

</div>